Subject: Re: [PATCH 0/4] Allow building Git with Asciidoctor

From: Jakub Narębski <[email-masked]>
Date: Tue, 14 Oct 2014 12:07:51 +0200

brian m. carlson wrote:
> On Mon, Oct 13, 2014 at 01:41:31PM -0700, Junio C Hamano wrote:
>> "brian m. carlson" <[email-masked]> writes:
>>
>>> The second two patches implement some basic support for building with
>>> Asciidoctor.  The first of these moves some items into variables due to
>>> some differences between the AsciiDoc and Asciidoctor command lines.
>>> The user can then override these values when invoking make.
>>>
>>> The final patch adds support for the linkgit macro.  Asciidoctor uses
>>> Ruby extensions to implement macro support, unlike AsciiDoc, which uses
>>> a configuration file.
>>
>> What I do not understand is that 3/4 lets you drop inclusion of
>> asciidoc.conf which contains a lot more than just linkgit:
>> definition.
>
> Asciidoctor just doesn't understand the -f argument, so trying to pass
> it is going to fail.  For Asciidoctor, you're going to want to do
> something like "-I. -rasciidoctor/extensions -rextensions" there
> instead.
>
> As for the rest of the asciidoc.conf file, the DocBook manpage header
> declarations are implemented automatically by Asciidoctor after my
> recent patches.  The paragraph hacks do not appear to be necessary with
> Asciidoctor, so they've been omitted.
>
> That leaves the attributes.  All but litdd are built-in to Asciidoctor,
> and I can reroll with a modification to extensions.rb that implements
> that one.

Would it be possible to automatically convert asciidoc.conf file to 
Asciidoctor extension?

-- 
Jakub Narębski